> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ConfigureWorkerSync

> Configures a worker sync (interval and configuration values). Deprecated: use "PUT /v2/worker/syncs/{syncId}/interval" ("ReplaceWorkerSyncInterval") for the interval and "PUT /v2/worker/syncs/{syncId}/options/{optionKey}" ("ReplaceWorkerSyncOption") for one option instead.

If a request with this mutation's Idempotency-Key was already completed, the response's `extensions` contains an `idempotency.{responseName}` entry with `wasReplayed: true`.



**mutation** `ConfigureWorkerSync(request: ConfigureWorkerSyncCommandRequestInput!): WorkerSyncItem!`

> Deprecated: This endpoint is deprecated.

## Arguments

**`request`**: `ConfigureWorkerSyncCommandRequestInput!` (required)

## Returns

`WorkerSyncItem!`

**`identifier`**: `ID!`

The unique identifier of a sync.

---

**`syncName`**: `String!`

The name of the sync.

---

**`salesChannelName`**: `String`

The name of the sales channel.

---

**`salesChannelId`**: `ID!`

The sales channel for the sync.

---

**`interval`**: `TimeSpan`

The sync interval.

---

**`reportProgress`**: `Boolean!`

Indicates whether the sync reports progress in percent.

---

**`configurations`**: `[WorkerSyncConfig!]!`

The configuration entries of the worker sync.

## Examples

```graphql Mutation
mutation ConfigureWorkerSync($request: ConfigureWorkerSyncCommandRequestInput!) {
  ConfigureWorkerSync(request: $request) {
    identifier
    syncName
    salesChannelName
    salesChannelId
    interval
    reportProgress
  }
}
```

```json Variables
{
  "request": {
    "syncId": "id"
  }
}
```

```json Response
{
  "data": {
    "ConfigureWorkerSync": {
      "identifier": "id",
      "syncName": "string",
      "salesChannelName": "string",
      "salesChannelId": "id",
      "interval": "value",
      "reportProgress": true
    }
  }
}
```
